{% extends 'base.html' %}
{% block content %}

<h1> Un peu de javascript ... </h1>

<ul id="myList">
    <li> Blup </li>
    <li> Blup </li>
  </ul>
  
  <button onclick="myFunction()"> Blup </button>
  
  <script>
  function myFunction() {
    var node = document.createElement("LI");
    var textnode = document.createTextNode(" Blup ");
    node.appendChild(textnode);
    document.getElementById("myList").appendChild(node);
  }
  </script>

{{ data | safe }}

{% endblock %}